Skip to main content
GET
Fetch historic TVL data for a vault

Query Parameters

vault_address
string
required

The address of the vault.

Example:

"0x19e099B7aEd41FA52718D780dDA74678113C0b32"

start_timestamp
integer

Start timestamp for the data range (in seconds). Defaults to 60 days ago if not provided.

Example:

1732679943

end_timestamp
integer

End timestamp for the data range (in seconds). Defaults to current time if not provided.

Example:

1738680000

intervals
integer

Time interval between data points in seconds. Defaults to 86400 (1 day) if not provided.

Example:

86400

Response

Successful response with historic TVL data.

interval
integer

The time interval between data points in seconds.

Example:

86400

base_asset
string

The address of the base asset of the vault.

Example:

"0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2"

base_asset_name
string

The name of the base asset of the vault.

Example:

"WETH"

data
object[]

List of TVL data points for each time interval.